<?php
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

// Database connection parameters
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "laravel_siyamtrade";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
$i=0;
// Open the CSV file
if (($handle = fopen("payment.csv", "r")) !== FALSE) {
    // Skip the first row (column headers)
    fgetcsv($handle, 1000, ",");

    // Loop through the CSV file rows
    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
        //echo "<pre>"; print_r($data); echo "</pre>"; die;
        $shop_id = 4;
        $category_id = 1;
        $name = $conn->real_escape_string(trim($data[0]));      
        $address = $conn->real_escape_string(trim($data[1]));      
        $phone = $conn->real_escape_string(trim($data[2]));      
        $amount = $conn->real_escape_string(trim(str_replace( ',', '',trim($data[3])))); 
        $type = $conn->real_escape_string(trim($data[5])); 
        
        if($type=='House Owner' || $type=='Contractor' || $type=='Retailer' ){
            $customer_id = fn_customer_insert($conn,$name,$address,$phone,$type,$shop_id);
            $supplier_id = 0;
            //$sister_concern_id = 0;
        }else{       
            $supplier_id = fn_supplier_insert($conn,$name,$address,$phone,$type,$shop_id);  
            $customer_id = 0;
            //$sister_concern_id = 0;
            } 

                $sql = "INSERT INTO initial_transactions (
                    payment_date,
                    transaction_type,
                    shop_id,
                    supplier_id,
                    customer_id,
                    type,
                    amount,
                    created_at
                ) VALUES (
                    '2024-05-31',
                    'payable',
                    '$shop_id',
                    '$supplier_id',
                    '$customer_id',
                    '$type',
                    $amount,                  
                    '2024-09-25'
                    )";
                $order_managements = $conn->query($sql);
            
        
    
    $i++;
    }
    // Close the CSV file
    fclose($handle);
} else {
    echo "Error opening the CSV file.";
}

// Close the database connection
$conn->close();

function fn_customer_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO customers (
        customer_name,
        phone,
        address,
        customer_type,
        shop_id
    ) VALUES (
        '$name',
        '$phone',
        '$address',
        '$type',
        $shop_id
        )";                              //140 6017 100 6017
    $customer = $conn->query($sql);
    return mysqli_insert_id($conn);
}

function fn_sister_concern_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO sister_concerns (
        name,
        shop_id
    ) VALUES (
        '$name',
        $shop_id
        )";                            //140 6017 100 6017
    $sister_concern = $conn->query($sql);
    return mysqli_insert_id($conn);
}

function fn_supplier_insert($conn,$name,$type,$address,$phone,$shop_id){
    $sql = "INSERT INTO suppliers (
        supplier_name,
        phone,
        address,
        supplier_type,
        shop_id
    ) VALUES (
        '$name',
        '$phone',
        '$address',
        '$type',
        $shop_id
        )";                            //140 6017 100 6017
    $supplier = $conn->query($sql);
    return mysqli_insert_id($conn);
}

?>
