<?php
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\IOFactory;
use PhpOffice\PhpSpreadsheet\Spreadsheet;

// Database connection parameters
$servername = "localhost";
$username = "root";
$password = "";
$dbname = "laravel_siyamtrade";

// Create connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
$i=0;
// Open the CSV file
if (($handle = fopen("receive.csv", "r")) !== FALSE) {
    // Skip the first row (column headers)
    fgetcsv($handle, 1000, ",");

    // Loop through the CSV file rows
    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
        //echo "<pre>"; print_r($data); echo "</pre>"; die;
        $shop_id = 4;
        $category_id = 1;
        $name = $conn->real_escape_string(trim($data[0]));      
        $address = $conn->real_escape_string(trim($data[1]));      
        $phone = $conn->real_escape_string(trim($data[2]));      
        $amount = $conn->real_escape_string(trim(str_replace( ',', '',trim($data[3])))); 
        $type = $conn->real_escape_string(trim($data[5]));  
        $notes = '';
        if($type=='House Owner' || $type=='Contractor' || $type=='Retailer' || $type=='Bank' || $type=='Bank Khat'
         || $type=='Car'  || $type=='Sompod Khat'  || $type=='Demarage'  || $type=='Electricity Bill'
         || $type=='Supplyer' || $type=='Sister Concern' || $type=='Property'
         ){
            $customer_id = fn_customer_insert($conn,$name,$address,$phone,$type,$shop_id);
            $supplier_id = 0;
            $staff_id = 0;
        }elseif($type=='Staff' || $type=='Former Staff'){
            $staff_id = fn_staff_insert($conn,$name,$address,$phone,$type,$shop_id);
            $customer_id = 0;
            $supplier_id = 0;
        }elseif($type=='Lender'){
            $lender_id = fn_lender_insert($conn,$name,$address,$phone,$type,$shop_id);
            $customer_id = 0;
            $staff_id = 0;
            $supplier_id = 0;
        }
        else{       
            $supplier_id = 0;  
            $customer_id = 0;
            $staff_id = 0;
            $notes = $name;

            } 

                $sql = "INSERT INTO initial_transactions (
                    payment_date,
                    transaction_type,
                    shop_id,
                    supplier_id,
                    customer_id,
                    staff_id,
                    lender_id,
                    type,
                    amount,
                    notes,
                    created_at
                ) VALUES (
                    '2024-05-31',
                    'receivable',
                    '$shop_id',
                    '$supplier_id',
                    '$customer_id',
                    '$staff_id',
                    '$lender_id',
                    '$type',
                    $amount, 
                    '$notes',                 
                    '2024-09-25'
                    )";
                $order_managements = $conn->query($sql);
            
        
    
    $i++;
    }
    // Close the CSV file
    fclose($handle);
} else {
    echo "Error opening the CSV file.";
}

// Close the database connection
$conn->close();


function fn_staff_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO employees (
        employee_name,
        shop_id
    ) VALUES (
        '$name',
        $shop_id
        )";                            //140 6017 100 6017
    $employee = $conn->query($sql);
    return mysqli_insert_id($conn);
}



function fn_customer_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO customers (
        customer_name,
        phone,
        address,
        customer_type,
        shop_id
    ) VALUES (
        '$name',
        '$phone',
        '$address',
        '$type',
        $shop_id
        )";                            //140 6017 100 6017
    $customer = $conn->query($sql);
    return mysqli_insert_id($conn);
}

function fn_lender_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO lenders (
        lender_name,
        shop_id
    ) VALUES (
        '$name',
        $shop_id
        )";                            //140 6017 100 6017
    $sister_concern = $conn->query($sql);
    return mysqli_insert_id($conn);
}

function fn_supplier_insert($conn,$name,$address,$phone,$type,$shop_id){
    $sql = "INSERT INTO suppliers (
        supplier_name,
        phone,
        address,
        supplier_type,
        shop_id
    ) VALUES (
        '$name',
        '$phone',
        '$address',
        '$type',
        $shop_id
        )";                            //140 6017 100 6017
    $supplier = $conn->query($sql);
    return mysqli_insert_id($conn);
}

?>
